Package org.apache.sling.servlethelpers

# Class ByteArrayPart.Builder

java.lang.Object
org.apache.sling.servlethelpers.ByteArrayPart.Builder

Enclosing class:
  ByteArrayPart

public static class ByteArrayPart.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`ByteArrayPart`
`build()`
`ByteArrayPart.Builder`
`withContent(byte[] content)`
`ByteArrayPart.Builder`
`withName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### withContent

public ByteArrayPart.Builder withContent(byte[] content)

### withName

public ByteArrayPart.Builder withName(String name)

### build

public ByteArrayPart build()